Intento infructuoso de instalar build-essential

Hola. Soy recien llegado a Ubuntu y tengo el siguiente problema:

intento instalar algun prog o los codecs para poder reproducir mp3. Hay unos buenos post en el foro y en los COMOs de como instalar programas (en mi caso sin conexión a la red). Intenté seguirlos y me encontré con un problema en la ejecución de los comandos make y make install. Ví gracias a uno de los post antiguos que es porque debo instalar primero el paquete Build-essential. El problema es que llegado a este punto, tras hacer el $sudo aptitude install build-essential en el prompt se me manda un mensaje de que no tengo ese paquete para instalar. ¿Que puedo hacer pues para instalarlo, o que otras opciones tengo para poder compilar los prog?

Muchas gracias por adelantado

Imagen de Anónimo
+1
0
-1

Bueno... comienzo por pedir disculpas pues vi que el mensaje anterior quedó como anónimo ya que aún no me registré en el foro.

Mi nombre es Juan y veo que a pesar de haber conseguido instalar el Ubuntu muy facilmente, los problemas comienzan a aparecer, como por otra parte es lógico.

Este foro es un gran sitio para resolverlos y gracias a los post y siendo un poco echado para alante espero que la cosa vaya bien.

Siguiendo el hilo de mi primer post, tengo que completar la info que dí, diciendo que busqué en internet el Build-essential, me lo baje e intenté instalarlo, pero me encontre con el siguiente y nuevo problema (y creo que suficientemente complicado como para no saber resolvermelo yo solo):

Desempaquetando build-essential (de build-esential.deb) ...
dpkg: problemas de dependencias impiden la configuración de build-essential:
build-essential depende de libc6-dev | libc-dev; sin embargo:
el paquete libc6-dev no está instalado.
el paquete libc-dev no está instalado.
build-essential depende de gcc (>= 3:3.3); sin embargo:
el paquete gcc no está instalado.
build-essential depende de g++ (>= 3:3.3); sin embargo:
el paquete g++ no está instalado.
build-essential depende de make; sin embargo:
el paquete make no está instalado.
build-essential depende de dpkg-dev (>= 1.4.1.19); sin embargo:
el paquete dpkg-dev no está instalado.
dpkg: error al procesar build-essential (--install):
problemas de dependencias - se deja sin configurar
Se encontraron errores........

etc

etc

¿De donde puedo sacar todos esos paquetes que faltan?
¿Es normal que faltes o es aviso de algo peor que se avecina?
¿Alguien tiene una solución sencilla al problema teniendo en cuenta que no tengo conexión a internet en ese PC que corre el Ubuntu?

De nuevo muchas gracias por anticipado a los que contesteis el post.

Juan.

+1
0
-1